#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "test_cfg_global.h"
#include "tau_log.h"
#include "hal_system.h"
#include "board.h"
#include "module_demo_main.h"
int main()
{
    board_Init();

    while (1)
    {
#if _MODULE_DEMO_ENABLE
        module_demo_main();
#endif

#if _DEMO_S8_EN
	s8_demo();
#endif
		
#if _DEMO_S8P_EN
	s8p_demo();
#endif

#if _DEMO_S9_EN
	s9_demo();
#endif
		
#if _DEMO_MI_12_LITE_EN
	mi12_lite_demo();
#endif
	TAU_LOGD("668 Demo\n");
        while (1);
    }
}
